Name:		brlaser
Version:	6
Release:	1%{?dist}
Summary:	A CUPS driver for Brother laser printers
License:	GPLv2
URL:		https://github.com/pdewacht/brlaser

Source0: 	https://github.com/pdewacht/%{name}/archive/refs/tags/v%{version}.tar.gz

# Conbined patch for commits from v6 release to master as of Mon Jan 10 2022
# Includes pull requests 92, 107, 124, 133
Patch0:		v6_to_master_plus_prs.patch

BuildRequires:	cmake
BuildRequires:	cups-devel
BuildRequires:	gcc-c++

%description
%summary

%prep
%setup -q
%patch0 -p1

%build
%cmake .
%cmake_build

%install
%cmake_install

%files
%{_prefix}/lib/cups/filter/rastertobrlaser
%{_datadir}/cups/drv/brlaser.drv

%changelog
* Mon Jan 10 2022 Thomas Batten <thomas@stenstorp.net> - 6-1
- Initial release

